Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.model
Interface SWRLImp

All Superinterfaces:
  Comparable<edu.stanford.smi.protege.model.Frame>, edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, OWLIndividual, ProtegeInstance, RDFIndividual, RDFObject, RDFResource, edu.stanford.smi.protege.model.SimpleInstance, SWRLIndividual, Visitable

All Known Implementing Classes:
  DefaultSWRLImp

    public interface SWRLImp

extends SWRLIndividual

Author:
  Martin O'Connor , Holger Knublauch

Method Summary
`boolean` | `addRuleGroup(String name)`
`SWRLImp` | `createClone()`
`void` | `deleteImp()` Deletes this and all depending objects of the rule.
`void` | `disable()`
`void` | `disable(Set<String> ruleGroupNames)`
`void` | `disable(String ruleGroupName)`
`void` | `enable()`
`void` | `enable(Set<String> ruleGroupNames)`
`void` | `enable(String ruleGroupName)`
`SWRLAtomList` | `getBody()`
`SWRLAtomList` | `getHead()`
`Set<RDFResource>` | `getReferencedInstances()`
`Set<String>` | `getRuleGroupNames()`
`boolean` | `isEnabled()`
`boolean` | `isInRuleGroup(String name)`
`boolean` | `isInRuleGroups(Set<String> names)`
`boolean` | `removeRuleGroup(String name)`
`void` | `setBody(SWRLAtomList swrlAtomList)`
`void` | `setExpression(String parsableText)` Tries to parse the given text to create head and body of this Imp.
`void` | `setHead(SWRLAtomList swrlAtomList)`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.model.SWRLIndividual
`getReferencedInstances`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getBrowserText, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue, rename`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFObject
`equalsStructurally`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.visitor.Visitable
`accept`

Method Detail

### createClone

    SWRLImp createClone()

### deleteImp

    void deleteImp()

  Deletes this and all depending objects of the rule.

### getReferencedInstances

    Set<RDFResource> getReferencedInstances()

### getBody

    SWRLAtomList getBody()

### setBody

    void setBody(SWRLAtomList swrlAtomList)

### getHead

    SWRLAtomList getHead()

### setHead

    void setHead(SWRLAtomList swrlAtomList)

### setExpression

    void setExpression(String parsableText)
                       throws SWRLParseException

  Tries to parse the given text to create head and body of this Imp. This will replace the old content. This method can be used to implement editing of existing rules without deleting them.

  Parameters:
    `parsableText` - a SWRL expression
  Throws:
    `SWRLParseException`

### isEnabled

    boolean isEnabled()

### enable

    void enable()

### disable

    void disable()

### getRuleGroupNames

    Set<String> getRuleGroupNames()

### addRuleGroup

    boolean addRuleGroup(String name)

### removeRuleGroup

    boolean removeRuleGroup(String name)

### isInRuleGroups

    boolean isInRuleGroups(Set<String> names)

### isInRuleGroup

    boolean isInRuleGroup(String name)

### enable

    void enable(String ruleGroupName)

### enable

    void enable(Set<String> ruleGroupNames)

### disable

    void disable(String ruleGroupName)

### disable

    void disable(Set<String> ruleGroupNames)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.